# Class InvalidXPathException

Object
Throwable
Exception
RuntimeException
IllegalArgumentException
InvalidXPathException

All Implemented Interfaces:
  `Serializable`

public class InvalidXPathException extends IllegalArgumentException
Exception thrown when the XPath in an expression is invalid or unsupported. Apache SIS currently supports only a small subset of XPath syntax, mostly paths of the form `"a/b/c"` (and not everywhere) and the `"Q{namespace}"` syntax.

#### Relationship with standard libraries

The standard Java libraries provides a `XPathException`. This `InvalidXPathException` differs in that it is an unchecked exception and is thrown in the context of operations with OGC filters and expressions. In some implementations, `InvalidXPathException` may have a `XPathException` as its cause.

Since:
  1.5
See Also:
  - `XPathException`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InvalidXPathException()`
  Creates an exception with no message.
  `InvalidXPathException(String message)`
  Creates an exception with the specified message.
  `InvalidXPathException(String message, Throwable cause)`
  Creates an exception with the specified message and cause.
  `InvalidXPathException(Throwable cause)`
  Creates an exception with the specified cause.

- ## Method Summary

  ### Methods inherited from class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InvalidXPathException

    public InvalidXPathException()
    Creates an exception with no message.

  - ### InvalidXPathException

    public InvalidXPathException(String message)
    Creates an exception with the specified message.
    Parameters:
      `message` - the detail message, saved for later retrieval by the `Throwable​.getMessage()` method.

  - ### InvalidXPathException

    public InvalidXPathException(Throwable cause)
    Creates an exception with the specified cause.
    Parameters:
      `cause` - the cause, saved for later retrieval by the `Throwable​.getCause()` method.

  - ### InvalidXPathException

    public InvalidXPathException(String message, Throwable cause)
    Creates an exception with the specified message and cause.
    Parameters:
      `message` - the detail message, saved for later retrieval by the `Throwable​.getMessage()` method.
      `cause` - the cause, saved for later retrieval by the `Throwable​.getCause()` method.